post
https://api.verihubs.com/v2/data-verification/certificate-electronic/sandbox
Electronic Certificate Issuance allows you to check whether the NIK and other data from your client's KTP is registered in the government database. Please refer to Verihubs Documentation for guidelines and best practice
Scenario Description
Success Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| User input all valid data | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Data inputted based on rules & registered in Authoritative source based on NIK |
NIK Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| NIK Not Inputted | {empty NIK value} JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | NIK is a mandatory parameter. |
| NIK Non-Numeric | 85220118ABCD0001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Indonesian NIK inputted must be numeric. |
| NIK Not 16-Digit | 852201180888000 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Indonesian NIK inputted must be 16 digit. |
| NIK Not Verified | {OTHER THAN PREDETERMINED NIK} JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | The NIK inputted is not registered in Authoritative source thus the other data can not be checked. |
Name Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| Name Not Inputted | 8522011808880001 {empy name value} 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Name is not inputted in the payload. |
| Name Not Verified | 8522011808880001 {OTHER THAN REGISTERED NAME} 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | The name inputted is not an exact match with the name registered on Authoritative source. |
Birth Date Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| Birth Date Not Inputted | 8522011808880001 JOHN DOE {empty birth_date value} [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Birth date not inputted in payload. |
| Birth Date Not in DD-MM-YYYY Format | 8522011808880001 JOHN DOE 1988-08-18 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Birth date must be in DD-MM-YYYY format. Inputting random string will also trigger this validation. |
| Birth Date Not Verified | 8522011808880001 JOHN DOE {OTHER THAN REGISTERED BIRTH DATE} [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Birth date inputted is not an exact match with birth date registered in Authoritative source. |
Selfie Photo Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| Selfie Photo Parameter Empty | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {empty selfie_photo value} {base64 KTP} {reference_id free to fill} | Selfie photo parameter is empty/not containing any base64 values. |
| Selfie Photo is Not Base64 | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {input any value non base64} {base64 KTP} {reference_id free to fill} | Selfie photo inputted is non-base64 format. |
| Selfie Photo Pixelation is Below Requirement | nik: 8522011808880001 name: JOHN DOE birth_date: 18-08-1988 email: [email protected] phone: 6281256898760 selfie_photo: {base64 Selfie (below pixel requirement)} ktp_photo: {base64 KTP} reference_id: {reference_id free to fill} | The resolution of the selfie photo is below 480px (horizontal) x 640px (vertical) |
| Selfie Photo Below 100KB | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie <100kb} {base64 KTP} {reference_id free to fill} | Selfie photo size must be 100KB-4096KB |
| Selfie Photo Size Above 4096KB | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie >4096kb} {base64 KTP} {reference_id free to fill} | Selfie photo size must be 100KB-4096KB |
| Selfie Photo Not Verified | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {not verified base64 SELFIE} {base64 KTP} {reference_id free to fill} | The face in the selfie photo inputted is not a match to face registered in Authoritative source. |
| Rejected by Passive Liveness | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {LIVENESS REJECTED} {base64 KTP} {reference_id free to fill} | Face in the selfie photo is classified as non-alive/non-human by passive-liveness. |
KTP Photo Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| Empty KTP photo | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {empty ktp_photo value} {reference_id free to fill} | KTP photo is not inputted in the payload. |
| KTP photo is not Base64 | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {input any value not_base64} {reference_id free to fill} | KTP photo is not in Base64 format. Inputting random string will also trigger the same result. |
| KTP photo resolution is below minimum requirement | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {low_resolution_base64} {reference_id free to fill} | Minimum KTP photo requirement of 480px (horizontal) x 360px (vertical). |
| KTP photo size below minimum requirement | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP <100kb} {reference_id free to fill} | KTP photo size must be 100KB-2096KB. |
| KTP photo size above maximum requirement | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP >2048kb} {reference_id free to fill} | KTP photo size must be 100KB-2096KB. |
| Invalid KTP photo | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {input failed KTP} {reference_id free to fill} | KTP photo classified as not a real KTP. A fake/copied/highly blur/cropped KTP photo will trigger this validation. |
Email Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| User did not input value in Email payload | 8522011808880001 JOHN DOE 18-08-1988 {empty email value} 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Data inputted missing value in Email payload |
| User did not input Email based on format | 8522011808880001 JOHN DOE 18-08-1988 johndoe.sandbox.com 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Data inputted not a valid format |
| User did not input unique email to the Email payload (using the same email for another NIK) | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281256898760 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Inputted data and got verified_with_reason status with reject_field Email |
Phone Scenario
| Scenario | Request Payload | Description |
|---|---|---|
| User did not input value in Phone payload | 8522011808880001 JOHN DOE 18-08-1988 [email protected] {empty phone value} {base64 Selfie} {base64 KTP} {reference_id free to fill} | Data inputted missing value in Phone payload |
| User did not input Phone based on format | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 62812 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Data inputted is not based on format |
| User did not input unique Phone to the Phone payload (using the same phone for another NIK) | 8522011808880001 JOHN DOE 18-08-1988 [email protected] 6281234123412 {base64 Selfie} {base64 KTP} {reference_id free to fill} | Inputted data and got verified_with_reason status with reject_field Phone |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
